﻿@page
@model Project_PRN221_1.Pages.Login.ActiveAccountModel
@{
}
<style>
    .form-label {
        font-weight: bold;
    }

    .form-control {
        width: 100%;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 4px;
        box-sizing: border-box;
    }

    .btn-primary {
        display: block;
        width: 100%;
        padding: 10px;
        background-color: #007bff;
        color: #fff;
        border: none;
        border-radius: 4px;
        cursor: pointer;
        margin-top: 10px;
    }

        .btn-primary:hover {
            background-color: #0056b3;
        }

    .invalid-feedback {
        color: red;
        margin-top: 5px;
    }
</style>
<div class="container">
    <h2>Activate Your Account</h2>
    <form asp-page="/login/activeaccount" method="post" class="needs-validation" novalidate>
        <div asp-validation-summary="All" class="text-danger"></div>
        <div class="mb-3">
            <label for="email" class="form-label">Email Address:</label>
            <input type="email" class="form-control" id="email" name="Email" value="@Model.Email" placeholder="Enter your email address" required readonly>
            <div class="invalid-feedback">
                Please enter a valid email address.
            </div>
        </div>
        <div class="mb-3">
            <label for="otp" class="form-label">One-Time Password (OTP):</label>
            <input type="text" class="form-control" id="otp" name="OTP" placeholder="Enter the OTP received" required>
            <div class="invalid-feedback">
                Please enter the OTP received.
            </div>
        </div>
        <button type="submit" class="btn btn-primary">Activate Account</button>
    </form>
</div>